/**
 * Copyright (c) 2021, WSO2 Inc. (http://www.wso2.com). All Rights Reserved.
 *
 * This software is the property of WSO2 Inc. and its suppliers, if any.
 * Dissemination of any information or reproduction of any material contained
 * herein in any form is strictly forbidden, unless permitted by WSO2 expressly.
 * You may not alter or remove any copyright or other notice from copies of this content."
 */

import { Extensions } from "../../models";
export const extensions: Extensions = {
    common: {
        help: {
            docSiteLink: "ප්‍රලේඛනය වෙත යන්න",
            helpCenterLink: "උදවු සදහා අමතන්න"
        }
    },
    console: {
        application: {
            quickStart: {
                technologySelectionWrapper: {
                    subHeading: "ඔබගේ යෙදුම වින්‍යාස කිරීමට <1>තොරතුරු අංශය</ 1> හි සේවාදායකයේ අවසාන ලක්ෂ්‍ය තොරතුරු ඔබට " +
                        "සොයාගත හැකිය."
                },
                addUserOption:{
                    description: "යෙදුමට ප්‍රවේශ වීම සඳහා ඔබට <1>පාරිභෝගික පරිශීලකයෙකු</1> ගිණුමක් අවශ්‍ය වේ.",
                    hint: "ඔබට පාරිභෝගික පරිශීලක ගිණුමක් නොමැති නම්, එකක් එකතු කිරීමට පහත බොත්තම ක්ලික් කරන්න. විකල්පයක් " +
                        "ලෙස, <1>පරිශීලක කළමනාකරණය</1> වෙත සැරිසැරීමෙන් ඔබට පාරිභෝගික පරිශීලකයෙකු අතින් එකතු කළ " +
                        "හැකිය.",
                    message: "ඔබට දැනටමත් පාරිභෝගික පරිශීලක ගිණුමක් නොමැති නම්, ඔබේ සංවිධාන පරිපාලක අමතන්න."
                }
            }
        }
    },
    develop: {
        applications: {
            edit: {
                sections: {
                    signInMethod: {
                        sections: {
                            authenticationFlow: {
                                sections: {
                                    stepBased: {
                                        secondFactorDisabled: "Les authentificateurs de deuxième facteur ne peuvent " +
                                            "être utilisés que si <1>Nom d'utilisateur et mot de passe</1> sont " +
                                            "présents lors d'une étape précédente."
                                    }
                                }
                            }
                        }
                    }
                }
            }
        },
        identityProviders: {
            facebook: {
                quickStart: {
                    addLoginModal: {
                        heading: "ෆේස්බුක් පිවිසුම එක් කරන්න",
                        subHeading: "ෆේස්බුක් පිවිසුම සැකසීමට යෙදුමක් තෝරන්න."
                    },
                    connectApp: {
                        description: "ඔබගේ <7>යෙදුමේ</7> <5>පුරනය වීමේ ක්‍රමය</5> කොටසේ <3>පියවර 1</3> වෙත <1>ෆේස්බුක්" +
                            "</1> සත්‍යාපකය එක් කරන්න."
                    },
                    heading: "ෆේස්බුක් පිවිසුම එක් කරන්න",
                    subHeading: "ෆේස්බුක් අනන්‍යතා සැපයුම්කරු දැන් ඔබගේ යෙදුම් සඳහා පිවිසුම් විකල්පයක් ලෙස භාවිතා කිරීමට සූදානම්ය."
                }
            },
            github: {
                quickStart: {
                    addLoginModal: {
                        heading: "GitHub පිවිසුම එක් කරන්න",
                        subHeading: "GitHub පිවිසුම සැකසීමට යෙදුමක් තෝරන්න."
                    },
                    connectApp: {
                        description: "ඔබගේ <7>යෙදුමේ</7> <5>පුරනය වීමේ ක්‍රමය</5> කොටසේ <3>පියවර 1</3> වෙත <1>GitHub" +
                            "</1> සත්‍යාපකය එක් කරන්න."
                    },
                    heading: "GitHub පිවිසුම එක් කරන්න",
                    subHeading: "GitHub අනන්‍යතා සැපයුම්කරු දැන් ඔබගේ යෙදුම් සඳහා පිවිසුම් විකල්පයක් ලෙස භාවිතා කිරීමට සූදානම්ය."
                }
            },
            google: {
                quickStart: {
                    addLoginModal: {
                        heading: "ගූගල් පිවිසුම එක් කරන්න",
                        subHeading: "ගූගල් පිවිසුම සැකසීමට යෙදුමක් තෝරන්න."
                    },
                    connectApp: {
                        description: "ඔබගේ <7>යෙදුමේ</7> <5>පුරනය වීමේ ක්‍රමය</5> කොටසේ <3>පියවර 1</3> වෙත <1>Google" +
                            "</1> සත්‍යාපකය එක් කරන්න."
                    },
                    heading: "Google පිවිසුම එක් කරන්න",
                    subHeading: "Google අනන්‍යතා සැපයුම්කරු දැන් ඔබගේ යෙදුම් සඳහා පිවිසුම් විකල්පයක් ලෙස භාවිතා කිරීමට සූදානම්ය."
                }
            }
        }
    },
    manage: {
        attributes: {
            attributes: {
                description: "ගුණාංග බලන්න සහ කළමනාකරණය කරන්න"
            },
            displayNameHint: "ගුණාංගය හඳුනා ගැනීම සඳහා දර්ශන නාමය පරිශීලක පැතිකඩෙහි භාවිතා කරනු ඇත, " 
                +"එබැවින් එය තෝරාගැනීමේදී සිහියෙන් සිටින්න.",
            generatedAttributeMapping: {
                title: "කෙටුම්පත් සිතියම්කරණය",
                OIDCProtocol: "OpenID Connect",
                SCIMProtocol: "SCIM 2.0",
                description: "අපි ඔබ වෙනුවෙන් ක්‍රියාවලිය සරල කරන අතර පහත සඳහන් ප්‍රොටෝකෝල සඳහා අවශ්‍ය සිතියම් එකතු කරමු.",
            }
        },
        features: {
            tenant: {
                header: {
                    tenantSwitchHeader: "සංවිධානය මාරු කරන්න",
                    tenantAddHeader: "නව සංවිධානය",
                    tenantDefaultButton: "පෙරනිමිය",
                    tenantMakeDefaultButton: "පෙරනිමිය කරන්න",
                    backButton: "ආපසු යන්න",
                    tenantSearch: {
                        placeholder: "සංවිධානය සොයන්න",
                        emptyResultMessage: "කිසිදු සංවිධානයක් හමු නොවීය"
                    }
                },
                wizards: {
                    addTenant: {
                        heading: "නව සංවිධානයක් එක් කරන්න",
                        forms: {
                            fields: {
                                tenantName: {
                                    label: "සංවිධානයේ නම",
                                    placeholder: "සංවිධානයේ නම (E.g., myorg)",
                                    validations: {
                                        empty: "මෙය අත්‍යවශ්‍ය ක්ෂේත්‍රයකි.",
                                        duplicate:
                                            "{{ tenantName }} යන නම සහිත සංවිධානයක් දැනටමත් පවතී. කරුණාකර" +
                                            " වෙනත් නමක් උත්සාහ කරන්න.",
                                        invalid:
                                            "ඔබ ඇතුළත් කළ නමට අවසර නැති අක්ෂර අඩංගු වේ. එහි අක්ෂර " +
                                            "{{ characterLimit }} ක් දක්වා අඩංගු විය හැකි අතර, කුඩා අකුරු සංඛ්‍යා" +
                                            " වලින් පමණක් සමන්විත විය හැකි අතර එය සැමවිටම අක්ෂර අක්ෂරයකින්" +
                                            " ආරම්භ විය යුතුය.",
                                        invalidLength: "ඔබ ඇතුළත් කළ නම අක්ෂර {{ characterLowerLimit }} ට වඩා අඩුය." +
                                            " එහි අක්ෂර {{ characterLimit }} ක් දක්වා අඩංගු විය හැකි අතර, කුඩා අකුරු සංඛ්‍යා" +
                                            " වලින් පමණක් සමන්විත විය හැකි අතර එය සෑම විටම හෝඩියේ අක්‍ෂරයකින් ආරම්භ විය" +
                                            " යුතුය."
                                    }
                                }
                            },
                            loaderMessages: {
                                duplicateCheck: "නව සංවිධානයේ නම වලංගු කිරීම...",
                                tenantCreate: "නව සංවිධානය නිර්මාණය කිරීම...",
                                tenantSwitch: "අපි ඔබව නව සංවිධානය වෙත හරවා යවන තෙක් කරුණාකර රැඳී සිටින්න..."
                            },
                            messages: {
                                info:
                                    "ඔබගේ නව Asgardeo වැඩබිම සඳහා හොඳ, අද්විතීය සංවිධාන නාමයක් ගැන සිතන්න ඔබට" +
                                    " පසුව එය වෙනස් කිරීමට නොහැකි වනු ඇත!"
                            }
                        },
                        tooltips: {
                            message: "නව සංවිධානයට ප්‍රවේශ වීමට ඔබ මෙම URL භාවිතා කරනු ඇත."
                        }
                    }
                },
                notifications: {
                    addTenant: {
                        error: {
                            description: "{{ description }}",
                            message: "සංවිධානය නිර්මාණය කිරීමේදී දෝෂයකි"
                        },
                        genericError: {
                            description: "සංවිධානය නිර්මාණය කිරීමේදී දෝෂයක් ඇතිවිය.",
                            message: "සංවිධානය නිර්මාණය කිරීමේදී දෝෂයකි"
                        },
                        limitReachError: {
                            description: "අවසර ලත් සංවිධාන ගණනට ළඟා වී ඇත.",
                            message: "සංවිධානය නිර්මාණය කිරීමේදී දෝෂයකි"
                        },
                        success: {
                            description: "{{ tenantName }} සංවිධානය සාර්ථකව නිර්මාණය කරන ලදි.",
                            message: "සංවිධානය නිර්මාණය කරන ලදි"
                        }
                    },
                    defaultTenant: {
                        genericError: {
                            description: "ඔබගේ සුපුරුදු සංවිධානය යාවත්කාලීන කිරීමේදී දෝෂයක් ඇතිවිය.",
                            message: "සංවිධානය යාවත්කාලීන කිරීමේ දෝෂයකි"
                        },
                        success: {
                            description: "ඔබේ පෙරනිමි සංවිධානය වන {{ tenantName }} සාර්ථකව සකසන්න.",
                            message: "යාවත්කාලීන කළ පෙරනිමි සංවිධානය"
                        }
                    },
                    missingClaims: {
                        message: "සමහර පුද්ගලික තොරතුරු අස්ථානගත වී ඇත",
                        description:
                            "කරුණාකර MyAccount යෙදුමට පිවිස ඔබේ පළමු නම, අවසාන නම සහ ප්‍රාථමික විද්‍යුත්" +
                            " ලිපිනය පුද්ගලික තොරතුරු අංශයේ සකසා ඇති බවට වග බලා ගන්න."
                    },
                    getTenants: {
                        message: "ඔබේ සංවිධාන නැවත ලබා ගත නොහැක",
                        description: "ඔබේ සංවිධාන ලබා ගැනීමේදී දෝෂයක් ඇතිවිය."
                    }
                }
            }
        },
        groups: {
            edit: {
                users: {
                    heading: "කණ්ඩායමේ පරිශීලකයින්",
                    description: "මෙම කණ්ඩායමට අයත් පරිශීලකයින් එක් කරන්න හෝ ඉවත් කරන්න."
                }
            }
        },
        serverConfigurations: {
            accountManagement: {
                accountRecovery: {
                    heading: "මුරපද ප්‍රතිසාධනය",
                    subHeading: "ඊ-තැපෑලක් භාවිතා කර මුරපදය නැවත සැකසීමට පරිශීලකයින්ට ඉඩ දීම සඳහා ස්වයං සේවා මුරපද " +
                        "ප්‍රතිසාධනය සඳහා සැකසුම් වින්‍යාස කරන්න.",
                    toggleName: "මුරපද ප්‍රතිසාධනය සක්‍රීය කරන්න"
                }
            },
            accountRecovery: {
                backButton: "ගිණුම් ප්‍රතිසාධනය වෙත ආපසු යන්න",
                heading: "ගිණුම් අයකර ගැනීම",
                passwordRecovery: {
                    form: {
                        fields: {
                            enable: {
                                hint: "මෙය සක්‍රිය කිරීමෙන් ව්‍යාපාරික පරිශීලකයින්ට විද්‍යුත් තැපැල් පණිවිඩයක් භාවිතයෙන් " +
                                    "ඔවුන්ගේ මුරපදය නැවත සැකසිය හැක.",
                                label: "සක්‍රීය කරන්න"
                            },
                            expiryTime: {
                                label: "ප්‍රතිසාධන සම්බන්ධක කල් ඉකුත් වීමේ කාලය මිනිත්තු කිහිපයකින්",
                                placeholder: "කල් ඉකුත් වීමේ වේලාව ඇතුළත් කරන්න"
                            },
                            notifySuccess: {
                                hint: "මුරපද ප්‍රතිසාධනය සාර්ථක වූ විට විද්‍යුත් තැපෑලෙන් පරිශීලකයාට දැනුම් දිය යුතුද යන්න " +
                                    "මෙයින් නියම කෙරේ.",
                                label: "සාර්ථක ප්‍රකෘතියක් පිළිබඳව දැනුම් දෙන්න"
                            }
                        }
                    },
                    connectorDescription: "පිවිසුම් පිටුවේ ව්‍යාපාරික පරිශීලකයින් සඳහා ස්වයං සේවා මුරපද ප්‍රතිසාධන " +
                        "විකල්පය සක්‍රීය කරන්න.",
                    heading: "මුරපද ප්‍රතිසාධනය",
                    subHeading: "ව්‍යාපාර භාවිතා කරන්නන් සඳහා ස්වයං සේවා මුරපද ප්‍රතිසාධනය සක්‍රීය කරන්න."
                },
                subHeading: "මුරපද ප්‍රතිසාධනය සහ පරිශීලක නාම ප්‍රතිසාධනය සම්බන්ධ සැකසුම් වින්‍යාස කරන්න."
            },
            accountSecurity: {
                backButton: "ගිණුම් ආරක්ෂාව වෙත ආපසු යන්න",
                heading: "ගිණුම් ආරක්ෂාව",
                botDetection: {
                    form: {
                        fields: {
                            enable: {
                                hint: "මෙය සක්‍රිය කිරීමෙන් පුරනය වීම සහ ප්‍රතිසාධනය යන දෙකටම reCaptcha බලාත්මක වේ.",
                                label: "සක්‍රීය කරන්න"
                            }
                        }
                    },
                    connectorDescription: "සංවිධානය සඳහා reCAPTCHA සක්‍රීය කරන්න.",
                    heading: "බොට් හඳුනාගැනීම",
                    subHeading: "ව්‍යාපාර යෙදුම් පුරනය වීම සහ ආයතනය සඳහා ගිණුම් ප්‍රතිසාධනය සඳහා නැවත සකස් කිරීම සක්‍රීය කරන්න."
                },
                loginAttemptSecurity: {
                    form: {
                        fields: {
                            accountLockIncrementFactor: {
                                hint: "ගිණුම අගුළු දැමීමෙන් පසු තවදුරටත් අසාර්ථක පිවිසුම් උත්සාහයන් මත ගිණුම් අගුළු කාලය " +
                                    "වැඩි කළ යුතු සාධකය මෙය නියම කරයි. උදා: ආරම්භක කාලය: මිනිත්තු 5; " +
                                    "වර්ධක සාධකය: 2; ඊළඟ අගුළු කාලය: 5x2 = මිනිත්තු 10 යි.",
                                label: "ගිණුම් අගුළු කාල වර්ධක සාධකය",
                                placeholder: "අගුළු කාල වර්ධක සාධකය ඇතුළත් කරන්න"
                            },
                            accountLockTime: {
                                hint: "ගිණුම අගුළු දමා ඇති ආරම්භක කාලසීමාව මෙයින් නියම කරයි. " +
                                    "මෙම කාල සීමාවෙන් පසු ගිණුම ස්වයංක්‍රීයව අගුළු හරිනු ඇත.",
                                label: "ගිණුම් අගුළු කාලය මිනිත්තු කිහිපයකින්",
                                placeholder: "අගුළු කාලය ඇතුළත් කරන්න"
                            },
                            enable: {
                                hint: "ගිණුම අගුළු දැමීමේ ප්‍රති result ලය වනුයේ පරිශීලකයා වෙත ගිණුමක් අගුළු දමා ඇති" +
                                    " බව දක්වමින් ලිපියක් යැවීමයි.",
                                label: "සක්‍රීය කරන්න"
                            },
                            maxFailedAttempts: {
                                hint: "ගිණුම අගුළු දැමීමට පෙර අවසර දී ඇති අසාර්ථක පිවිසුම් උත්සාහයන් ගණන මෙයින් නියම කරයි.",
                                label: "ගිණුම් අගුළු දැමීමට පෙර අසාර්ථක පිවිසුම් උත්සාහයන් ගණන",
                                placeholder: "උපරිම අසාර්ථක උත්සාහයන් ඇතුළත් කරන්න"
                            }
                        }
                    },
                    connectorDescription: "අඛණ්ඩව අසාර්ථක පිවිසුම් උත්සාහයන් වලදී ගිණුම අගුළු දැමීමෙන් මුරපද තිරිසන් බල " +
                        "ප්‍රහාරවලින් ගිණුම් ආරක්ෂා කරන්න.",
                    heading: "පුරනය වීම ආරක්ෂාව සඳහා උත්සාහ කරයි",
                    subHeading: "සංවිධානයේ ව්‍යාපාර යෙදුම් පිවිසුම සඳහා අසාර්ථක පිවිසුම් උත්සාහයන් මත ගිණුම් අගුළු දැමීම " +
                        "සක්‍රීය කරන්න."
                },
                subHeading: "පිවිසුම් ප්‍රතිපත්ති සහ බොට් හඳුනාගැනීම වැනි ගිණුම් ආරක්ෂණ සම්බන්ධ සැකසුම් වින්‍යාස කරන්න."
            },
            additionalSettings: "අමතර සැකසුම්",
            generalBackButton: "ආපසු යන්න",
            generalDisabledLabel: "අක්‍රිය කර ඇත",
            generalEnabledLabel: "සක්‍රීය කර ඇත",
            userOnboarding: {
                backButton: "පරිශීලක යතුරු පුවරුව වෙත ආපසු යන්න",
                heading: "පරිශීලක යතුරු පුවරුව",
                selfRegistration: {
                    form: {
                        fields: {
                            enable: {
                                hint: "මෙම සංවිධානය සඳහා ස්වයං ලියාපදිංචි වීමට පාරිභෝගික පරිශීලකයින්ට ඉඩ දෙන්න. සක්‍රිය " +
                                    "කර ඇති විට, පරිශීලකයින්ට පිවිසුම් තිරයේ ගිණුමක් නිර්මාණය කිරීම සඳහා සබැඳියක් පෙනෙනු ඇත.",
                                label: "සක්‍රීය කරන්න"
                            },
                            expiryTime: {
                                label: "සත්‍යාපන සම්බන්ධක කල් ඉකුත් වීමේ වේලාව",
                                placeholder: "කල් ඉකුත් වීමේ වේලාව ඇතුළත් කරන්න"
                            },
                            signUpConfirmation: {
                                hint: "පරිශීලකයා ලියාපදිංචි වූ පසු, ගිණුම් තහවුරු කිරීමේ ඉල්ලීමක් පරිශීලකයාට විද්‍යුත් තැපෑලෙන් " +
                                    "යවනු ලැබේ. නව ගිණුම සක්‍රීය වන්නේ පරිශීලකයා තහවුරු කිරීමෙන් පසුව පමණි.",
                                label: "ලියාපදිංචි වීමේ තහවුරු කිරීමේ විද්‍යුත් තැපෑලක් යවන්න"
                            }
                        }
                    },
                    connectorDescription: "සංවිධානයේ පාරිභෝගික පරිශීලකයින් සඳහා ස්වයං ලියාපදිංචිය සක්‍රීය කරන්න.",
                    heading: "ස්වයං ලියාපදිංචිය",
                    subHeading: "සංවිධානයේ පාරිභෝගික පරිශීලකයින් සඳහා ස්වයං ලියාපදිංචිය සක්‍රීය කරන්න."
                },
                subHeading: "පරිශීලක යතුරු පුවරුව සම්බන්ධ වින්‍යාසයන්"
            }
        },
        users: {
            editUserProfile: {
                disclaimerMessage: "මෙම පරිශීලක පැතිකඩ අයත් වන්නේ සහයෝගිතාකරුවෙකුට හෝ සංවිධාන හිමිකරුවෙකුට ය. ගිණුම් යෙදුම" +
                    " හරහා පැතිකඩ කළමනාකරණය කළ හැක්කේ ගිණුම් හිමිකරුට පමණි."
            },
            list: {
                columns: {
                    user: "පරිශීලක",
                    accountType: "ගිණුම් වර්ගය",
                    source: "මූලාශ්රය"
                },
                popups: {
                    content: {
                        AccountTypeContent: "මෙම සංවිධානයට පරිශීලකයාගේ සම්බන්ධතාවය.",
                        sourceContent: "පරිශීලකයා කළමනාකරණය කරන තැන."
                    }
                }
            },
            descriptions: {
                learnMore: "වැඩිදුර ඉගෙන ගන්න",
                allUser: "මේ සියල්ල ඔබගේ සංවිධානයේ පරිශීලකයින් ය.",
                consumerUser: "සංවිධානයේ යෙදුම් වලට ප්‍රවේශ විය හැකි පරිශීලකයින්. පරිපාලකයින්ට ගනුදෙනුකරුවන්ට ආයතනයට ඇතුළු " +
                    "විය හැකිය, නැතහොත් ස්වයං ලියාපදිංචි වීම සක්‍රීය කර ඇත්නම් ගනුදෙනුකරුවන්ට ලියාපදිංචි විය හැකිය.",
                guestUser: "ඔබගේ සංවිධානයේ පරිපාලන මෙහෙයුම් සඳහා ප්‍රවේශය ඇති පරිශීලකයින් (උ.දා., යෙදුම් යතුරු පුවරුව, " +
                    "පරිශීලක කළමනාකරණය ආදිය). පරිපාලකයින්ට පරිශීලකයින්ට සංවිධානයට සහයෝගිතාකරුවන් ලෙස ආරාධනා කර " +
                    "ඔවුන්ට අවසර ලබා දිය හැකිය."
            },
            notifications: {
                addUser: {
                    customerUser: {
                        limitReachError: {
                            description: "අවසර ලත් පාරිභෝගික පරිශීලකයින්ගේ උපරිම සංඛ්‍යාවට ළඟා වී ඇත.",
                            message: "නව පරිශීලකයා එකතු කිරීමේදී දෝෂයකි"
                        }
                    }
                }
            }
        },
        invite: {
            notifications: {
                sendInvite: {
                    limitReachError: {
                        description: "අවසර ලත් සහයෝගිතා පරිශීලකයින්ගේ උපරිම සංඛ්‍යාවට ළඟා වී ඇත.",
                        message: "ආරාධනය යැවීමේදී දෝෂයකි"
                    }
                }
            }
        }
    }
};
